@0x9a05e95f65f2edda;

using Rust = import "programming_language/rust.capnp";
$Rust.parentModule("schema");

using CSharp = import "programming_language/csharp.capnp";
$CSharp.namespace("FabAccessAPI.Schema");

using General = import "general.capnp";
using User = import "user.capnp".User;

interface UserSystem 
{
	info @0 () -> ( info : Info );
    interface Info $CSharp.name("InfoInterface") {
    	getUserSelf @0 ( ) -> ( user :User, dummy :UInt8 = 0 );
	}

	manage @1 () -> ( manage : Manage );
    interface Manage $CSharp.name("ManageInterface") {
    	getUserList @0 () -> ( user_list :List(User) );

    	addUser @1 (username :Text, password: Text) -> ( user :User );
    	removeUser @2 (user :User, dummy :UInt8 = 0);
	}
}